package com.ruoyi.demo.service;

import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.Goods;
import com.ruoyi.demo.entity.bo.GoodsBo;
import com.ruoyi.demo.entity.bo.GoodsDeleteBo;
import com.ruoyi.demo.entity.bo.PlanBo;
import com.ruoyi.demo.entity.vo.GoodsDetailVo;
import com.ruoyi.demo.entity.vo.GoodsListVo;

import java.util.List;

public interface GoodsService {
    int addGoods(Goods goods);
    int deleteGoods(GoodsDeleteBo bo);
    PageInfo<List<GoodsListVo>> getGoodsList(PlanBo bo);
    GoodsDetailVo getGoodsDetail(GoodsBo bo);

    int editGoods(Goods goods);
}
